## EDU.oswego.cs.dl.util.concurrent
Class PooledExecutor.WaitWhenBlocked

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.PooledExecutor.WaitWhenBlocked

All Implemented Interfaces:
  PooledExecutor.BlockedExecutionHandler

Enclosing class:
  PooledExecutor

    protected class PooledExecutor.WaitWhenBlocked

extends java.lang.Object
implements PooledExecutor.BlockedExecutionHandler

Class defining Wait action.

Constructor Summary
`protected` `PooledExecutor.WaitWhenBlocked()`

Method Summary
`boolean` `blockedAction(java.lang.Runnable command)` Return true if successfully handled so, execute should terminate; else return false if execute loop should be retried.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledExecutor.WaitWhenBlocked

    protected PooledExecutor.WaitWhenBlocked()

Method Detail

### blockedAction

    public boolean blockedAction(java.lang.Runnable command)
                          throws java.lang.InterruptedException

  Description copied from interface: `PooledExecutor.BlockedExecutionHandler`
  Return true if successfully handled so, execute should terminate; else return false if execute loop should be retried.

  Specified by:
    `blockedAction` in interface `PooledExecutor.BlockedExecutionHandler`
  Throws:
    `java.lang.InterruptedException`